PLGDIORI(3)

NAME
plgdiori - Get plot orientation

SYNOPSIS
plgdiori(p_rot)

DESCRIPTION

Get plot orientation parameter which is multiplied by 90 degrees to obtain the angle of rotation. Note, arbitrary rotation parameters such as 0.2 (corresponding to 18 degrees) are possible, but the usual values for the rotation parameter are 0., 1., 2., and 3. corresponding to 0 degrees (landscape mode), 90 degrees (portrait mode), 180 degrees (seascape mode), and 270 degrees (upside-down mode). If plsdiori(3) has not been called the default value pointed to by p_rot will be 0.

Redacted form: plgdiori(p_rot)

This function is not used in any examples.

ARGUMENTS

p_rot (PLFLT_NC_SCALAR(3), output)
    Returned value of the orientation parameter.

AUTHORS
Many developers (who are credited at http://plplot.org/credits.php) have contributed to PLplot over its long history.

SEE ALSO
PLplot documentation at http://plplot.org/documentation.php.